package mfa

import (
	"fmt"
	"github.com/xlzd/gotp"
	"testing"
)

func TestGetOtp(t *testing.T) {
	otp, _ := GetOtp("10086", "admin", "JIHAOZJ5PA6RCHJABBZSWFW3CE", "XOLNgC")
	fmt.Println(otp.QrImage)
}

func TestValidCode(t *testing.T) {
	totp := gotp.NewDefaultTOTP("EFDAWZSTTBELOIJIMF4KDT2EJMWYRKLW2OFLOCD3WDC5YGF2I6O345UKAOG6ZJCJ")
	print(totp.Now())
}
